## org.eclipse.emf.ecore.xmi.impl
Class XMLContentHandlerImpl.XMI

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl
          org.eclipse.emf.ecore.xmi.impl.XMLContentHandlerImpl
              org.eclipse.emf.ecore.xmi.impl.XMLContentHandlerImpl.XMI

All Implemented Interfaces:
  ContentHandler

Enclosing class:
  XMLContentHandlerImpl

    public static class XMLContentHandlerImpl.XMI

extends XMLContentHandlerImpl

Nested Class Summary
`static class` `XMLContentHandlerImpl.XMI.Describer` A describer that `creates` an `XMLContentHandlerImpl.XMI` instance.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLContentHandlerImpl
`XMLContentHandlerImpl.XMI`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.ContentHandler
`ContentHandler.ByteOrderMark, ContentHandler.Registry, ContentHandler.Validity`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.resource.ContentHandler
`BYTE_ORDER_MARK_PROPERTY, CHARSET_PROPERTY, CONTENT_TYPE_PROPERTY, INVALID_CONTENT_DESCRIPTION, OPTION_REQUESTED_PROPERTIES, UNSPECIFIED_CONTENT_TYPE, VALIDITY_PROPERTY`

Constructor Summary
`XMLContentHandlerImpl.XMI()`

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` `contentDescription(URI uri, java.io.InputStream inputStream, java.util.Map<?,?> options, java.util.Map<java.lang.Object,java.lang.Object> context)` Returns a valid content description if the XML content of the input stream has an XMI version attribute.

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLContentHandlerImpl
`createXMLResource, getCharset, isXMINameAndNamespace, isXMINamespace, load`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl
`canHandle, createContentDescription, getByteOrderMark, getRequestedProperties, isRequestedProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContentHandlerImpl.XMI

    public XMLContentHandlerImpl.XMI()

Method Detail

### contentDescription

    public java.util.Map<java.lang.String,java.lang.Object> contentDescription(URI uri,
                                                                               java.io.InputStream inputStream,
                                                                               java.util.Map<?,?> options,
                                                                               java.util.Map<java.lang.Object,java.lang.Object> context)
                                                                        throws java.io.IOException

  Returns a valid content description if the XML content of the input stream has an XMI version attribute.

  Specified by:
    `contentDescription` in interface `ContentHandler`
  Overrides:
    `contentDescription` in class `XMLContentHandlerImpl`
  Parameters:
    `uri` - the URI for which to determine the content description.
    `inputStream` - the input stream associated with the given URI.
    `options` - a map of options to direct what kind of description is needed.
    `context` - a map of contextual information that content handlers use to store partially computed results.
  Returns:
    a map of properties that describe the content of the given URI's corresponding input stream.
  Throws:
    `java.io.IOException` - if there is a problem reading the stream.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.